$(function() {
    var images = $('img');
    images.wrap('<div class="controls" />');
    $('<a class="down" href="#">Вниз</a>').insertAfter(images);
    $('<a class="up" href="#">Вверх</a>').insertAfter(images);
    
    $('.up').click(function() {
        var currentImgBlock = $(this).parent();
        var prevImgBlock = currentImgBlock.prev();
        swap(currentImgBlock, prevImgBlock);
        return false;
    });
    
    $('.down').click(function() {
        var currentImgBlock = $(this).parent();
        var nextImgBlock = currentImgBlock.next();
        swap(nextImgBlock, currentImgBlock);
        return false;
    });
});

function swap(a, b) {
    if (a.size() > 0 && b.size() > 0) {
        a.insertBefore(b);
    }
}